#----------------------------------------------------------------------------
#       GNU Makefile
#----------------------------------------------------------------------------
MAKEFILE        = Makefile.secs
DEPENDENCY_FILE = .depend.Makefile.secs
LIB_UNCHECKED   = libsecs.a
SHLIB_UNCHECKED = libsecs.$(SOEXT)

static_libs_only = 0


FILES = \
  BS2ACKMessage \
  BS2Ascii \
  BS2Atom \
  BS2Binary \
  BS2Boolean \
  BS2Device \
  BS2Driver \
  BS2ErrorMessage \
  BS2Float4 \
  BS2Float8 \
  BS2HSMSReceiver \
  BS2Int1 \
  BS2Int2 \
  BS2Int4 \
  BS2Int8 \
  BS2Item \
  BS2ItemDictionary \
  BS2ItemType \
  BS2Jis \
  BS2List \
  BS2ListItem \
  BS2Message \
  BS2MessageDictionary \
  BS2MessageInfo \
  BS2MessageType \
  BS2NoiseMessage \
  BS2Receiver \
  BS2S1F0Message \
  BS2SECSReceiver \
  BS2Sender \
  BS2Serial \
  BS2Socket \
  BS2Stream \
  BS2TTY_IO \
  BS2TimeValue \
  BS2TransactionInfo \
  BS2TransactionManager \
  BS2Traverser \
  BS2UInt1 \
  BS2UInt2 \
  BS2UInt4 \
  BS2UInt8 \
  BS2Unicode \
  BS2Util \
  BS2id \
  BS2value \
  SECSXmlParser

LIB   = $(LIB_UNCHECKED)
SHLIB = $(SHLIB_UNCHECKED)

#----------------------------------------------------------------------------
#       Include macros and targets
#----------------------------------------------------------------------------
include $(ACE_ROOT)/include/makeinclude/wrapper_macros.GNU
LSRC   = $(addsuffix .cpp, $(FILES))
ACELIB = -lACE

include $(ACE_ROOT)/include/makeinclude/macros.GNU
include $(ACE_ROOT)/include/makeinclude/rules.common.GNU
include $(ACE_ROOT)/include/makeinclude/rules.nonested.GNU

INSTALL_CHECK = ../lib
ifeq ($(INSTALL_CHECK),)
  INSTALL = $(INSTALL_CHECK)
else
  INSLIB  = $(INSTALL_CHECK)
endif
include $(ACE_ROOT)/include/makeinclude/rules.lib.GNU
include $(ACE_ROOT)/include/makeinclude/rules.local.GNU

CPPFLAGS     += -I../src -I../../bee -I$(ACE_ROOT)
ifeq ($(static_libs),1)
  ifneq ($(LIB),)
    CPPFLAGS += -DACE_AS_STATIC_LIBS
  endif
endif


LDFLAGS      += -L$(ACE_ROOT)/ace

#----------------------------------------------------------------------------
#       Local targets
#----------------------------------------------------------------------------

realclean: clean 

